//
//	VidyoLocalMicrophone_Objc.h
//	VidyoClient
//
//	This file is auto generated, do not edit this file
//	Copyright (c) 2016 Vidyo, Inc. All rights reserved.
//

#import "VidyoDevice_Objc.h"
#import "VidyoLocalSpeaker_Objc.h"
#import "VidyoRemoteSpeaker_Objc.h"
typedef NS_ENUM(NSInteger, VCVoiceProcessingMode){
	VCVoiceProcessingModeDefault,
	VCVoiceProcessingModeVidyo,
	VCVoiceProcessingModePlatform
};
@interface VCLocalMicrophone : NSObject
{
	void* objPtr;
}

	@property NSMutableString* id;
	@property NSMutableString* name;
	-(void) dealloc;
	-(BOOL) addToLocalSpeaker:(VCLocalSpeaker*)speaker;
	-(BOOL) addToRemoteSpeaker:(VCRemoteSpeaker*)remoteSpeaker;
	-(BOOL) disableDebugRecording;
	-(BOOL) enableDebugRecording:(NSString*)dir;
	-(BOOL) getAutoGain;
	-(float) getBoost;
	-(BOOL) getEchoCancellation;
	-(NSString*) getId;
	-(NSString*) getName;
	-(VCDeviceAudioSignalType) getSignalType;
	-(BOOL) getVoiceProcessing;
	-(unsigned int) getVolume;
	-(void) hideDebugDialog;
	-(BOOL) isDebugRecordingEnabled;
	-(BOOL) isPaused;
	-(void) pause;
	-(void) playTone:(char)dtmfTone;
	-(BOOL) removeFromLocalSpeaker:(VCLocalSpeaker*)speaker;
	-(BOOL) removeFromRemoteSpeaker:(VCRemoteSpeaker*)remoteSpeaker;
	-(BOOL) restart;
	-(void) resume;
	-(BOOL) setAutoGain:(BOOL)autoGain;
	-(BOOL) setBoost:(float)value;
	-(BOOL) setEchoCancellation:(VCLocalSpeaker*)speaker IsEnable:(BOOL)isEnable;
	-(BOOL) setSignalType:(VCDeviceAudioSignalType)signalType;
	-(BOOL) setVoiceProcessing:(BOOL)voiceProcessing Mode:(VCVoiceProcessingMode)mode;
	-(void) setVolume:(unsigned int)volumePercent;
	-(void) showDebugDialog;
	-(id) initWithObject:(void*)rPtr;
	-(void*)getObjectPtr;
@end
